Subject: bug#27896: [External] : Re: bug#27896: 25.2; `C-M-%' with `rectangle-mark-mode'

From: Juri Linkov <[email-masked]>
Date: Tue, 09 Feb 2021 19:54:21 +0200

> I've long had in mind doing this myself,
> and started to do so more than once, but I
> haven't gotten around to accomplishing it.
>
> If someone does it (in a general way, with
> no assumptions of rectangularity) then
> great.  If not, that will be for some
> indefinite future.

In the most general case, a noncontiguous region
is just a set of subregions (or as you call this -
'zones') that for the commands that operate on it
should look as just one contiguous string.
How to implement this, I have no idea.